import React, { useContext } from "react";
import { TextField, Button } from "@material-ui/core";
import {
  ApplicationStateContext,
  ApplicationDispatchContext
} from "../../../state/ApplicationContexts";
import { readMachines } from "../api";
import MachinesList from "./MachinesList";

const NetworkContainer = () => {
  const state = useContext(ApplicationStateContext);
  const dispatchActions = useContext(ApplicationDispatchContext);

  const handleChange = prop => event => {
    dispatchActions.onNetworkChange(prop, event.target.value);
  };

  const handleReadMachines = async () => {
    const machines = await readMachines();
    dispatchActions.onNetworkChange("machines", machines);
  };

  return (
    <>
      <div>NetworkContainer</div>
      <MachinesList />
      <TextField
        id="ertet"
        label="Test"
        onChange={handleChange("test")}
        value={state.network.test}
      />
      <Button variant="contained" color="primary" onClick={handleReadMachines}>
        Read machines
      </Button>
    </>
  );
};

export default NetworkContainer;
